/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Jaunty entity File
#ifndef _ECAMSCROLLER_H
#define _ECAMSCROLLER_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramčtres du cam scroller
// TYPE : static
// p1 et p2 : nextcamx  mextcamy
// Autres : 

class eCamScroller : public CEntity
{
   public:
   	eCamScroller();
   	virtual ~eCamScroller();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   
	public:
	   int camxDest, camyDest;
	   int destCamMode;
	   bool music;
	   
};
#endif
